<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.crm.ucard.dao.mapper.CardGlobalCurrenciesFieldAvailableMapper">

    <insert id="batchSave" parameterType="com.crm.rely.backend.core.pojo.table.ucard.CardGlobalCurrenciesFieldAvailableTable">
        insert into ucard_global_currencies_field_available(
        `field_id`,
        `value_id`,
        `value`,
        `add_time`
        )
        values
        <foreach collection="list" item="item" index="index" separator=",">
            (
             #{item.fieldId},
             #{item.valueId},
             #{item.value},
             now()
             )
        </foreach>
    </insert>
    <delete id="deleteAll">
        delete from ucard_global_currencies_field_available
    </delete>

</mapper> 